# Settings
**Inherits:** [Store](/reference/lib--stores--store.html)
    
## Description

Stores general settings for the app

## Properties

| Name                                             | Type                                                                    | Default     |
| ------------------------------------------------ | ----------------------------------------------------------------------- | ----------- |
| [onboarding_complete](#prop-onboarding-complete) | [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html)     | `false`     |
| [token](#prop-token)                             | [String](https://docs.godotengine.org/de/4.x/classes/class_string.html) | `""`        |
| [type](#prop-type)                               | [String](https://docs.godotengine.org/de/4.x/classes/class_string.html) | `"HASS_WS"` |
| [url](#prop-url)                                 | [String](https://docs.godotengine.org/de/4.x/classes/class_string.html) | `""`        |
| [voice_assistant](#prop-voice-assistant)         | [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html)     | `false`     |

## Methods

| Returns | Name                 |
| ------- | -------------------- |
| void    | [_init](#-init) (  ) |
| void    | [clear](#clear) (  ) |





## Constants

### StoreClass = `<Object>` {#const-StoreClass}

No description provided yet.

## Property Descriptions

### onboarding_complete: [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html) {#prop-onboarding-complete}

If the onboarding process has been completed

### token: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html) {#prop-token}

No description provided yet.

### type: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html) {#prop-type}

The adapter to use for connecting with a backend

### url: [String](https://docs.godotengine.org/de/4.x/classes/class_string.html) {#prop-url}

No description provided yet.

### voice_assistant: [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html) {#prop-voice-assistant}

If the voice assistant should be enabled

## Method Descriptions

###  _init ( ) -> void {#-init}

No description provided yet.

###  clear ( ) -> void {#clear}

No description provided yet.
